dns-analytics-plx-traffic-by-time

The following shows how to generate the dns-analytics-plx-traffic-by-time report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.

Report definition

This report shows data on Prolexic traffic before it reaches an Akamai scrubbing center (pre-mitigation) in bps and pps.

Business object: accountId

Data available for: 90 days

Available metrics

MetricDescription
Data metrics
preMitigation​BpsProlexic traffic before it reaches an ​Akamai​ scrubbing center in bits per second (bps).
preMitigation​PpsProlexic traffic before it reaches an ​Akamai​ scrubbing center in packets per second (pps).
Summary metrics
avgPreMitigation​BpsAverage traffic before it reaches an Akamai scrubbing center in bps.
minPreMitigation​BpsMinimum traffic before it reaches an Akamai scrubbing center in bps.
peakPreMitigation​BpsPeak traffic before it reaches an Akamai scrubbing center in bps.

POST request

POST /reporting-api/v1/reports/dns-analytics-plx-traffic-by-time/versions/2/report-data{?start,end}

Sample: /reporting-api/v1/reports/dns-analytics-plx-traffic-by-time/versions/2/report-data?start=2026-02-01T00%3A00%3A00Z&end=2026-03-01T00%3A00%3A00Z

Query parameters

ParameterTypeSampleDescription
Required
startString2026-02-01T00:00:00ZSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp.
endString2026-03-01T00:00:00ZSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp.

JSON request members

MemberTypeDescription
objectIdsArraySpecifies the set of accountId values you want to report on.
objectIdsEnumerationAs an alternative to an array of ID values, specify all as a string for unfiltered data. Either way, objectIds is required.
metricsArrayThe set of desired metrics. If omitted, the report includes all available metrics.

Request body:

{
    "objectIds": [
        "1111",
        "1122",
        "2222",
        "2233"
    ],
    "metrics": [
        "avgPreMitigationBps",
        "minPreMitigationBps",
        "peakPreMitigationBps",
        "preMitigationBps",
        "preMitigationPps"
    ]
}

GET request

GET /reporting-api/v1/reports/dns-analytics-plx-traffic-by-time/versions/2/report-data{?start,end,objectIds,allObjectIds,metrics}

Sample: /reporting-api/v1/reports/dns-analytics-plx-traffic-by-time/versions/2/report-data?start=2026-02-01T00%3A00%3A00Z&end=2026-03-01T00%3A00%3A00Z&objectIds=1111,1122,2222,2233&metrics=avgPreMitigationBps%2CminPreMitigationBps

Query parameters

ParameterTypeSampleDescription
Required
startString2026-02-01T00:00:00ZSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp.
endString2026-03-01T00:00:00ZSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp.
Optional
allObjectIdsBooleantrueAs an alternative to objectIds, enabling this generates a report that includes all IDs available for the accountId objectType. This parameter is ignored if the request also specifies a set of objectIds.
objectIdsString1111,1122,2222,2233As an alternative to allObjectIds, specifies the set of unique IDs for the accountId objectType you want to report on, formatted as a comma-delimited list.
metricsStringavgPreMitigation​Bps,​min​Pre​Mitigation​BpsSpecifies a comma-separated list of metrics to include in the report, otherwise all metrics if omitted. The set of available metrics depends on the type of report. URL-encode the entire value in the GET request.

JSON response

Status 200 application/json

Response body:

{
    "metadata": {
        "name": "dns-analytics-plx-traffic-by-time",
        "version": "2",
        "outputType": "FLAT",
        "groupBy": [
            "timestamp"
        ],
        "start": "2026-02-01T00:00:00Z",
        "end": "2026-03-01T00:00:00Z",
        "availableDataEnds": null,
        "suggestedRetryTime": null,
        "rowCount": 4,
        "filters": [],
        "columns": [
            {
                "name": "groupBy",
                "label": "timestamp"
            },
            {
                "name": "preMitigationBps",
                "label": "Pre-Mitigation Traffic (Bytes / Sec)"
            },
            {
                "name": "preMitigationPps",
                "label": "Pre-Mitigation Traffic (Packets / Sec)"
            }
        ],
        "objectType": "accountId",
        "objectIds": [
            "1111",
            "1122",
            "2222",
            "2233"
        ]
    },
    "data": [
        {
            "timestamp": "2019-05-01T00:00:05Z",
            "preMitigationBps": "4219",
            "preMitigationPps": "1462"
        },
        {
            "timestamp": "2019-05-01T00:00:15Z",
            "preMitigationBps": "701",
            "preMitigationPps": "1776"
        },
        {
            "timestamp": "2019-05-01T00:00:25Z",
            "preMitigationBps": "4802",
            "preMitigationPps": "4488"
        },
        {
            "timestamp": "2019-05-01T00:00:00Z",
            "preMitigationBps": "154",
            "preMitigationPps": "4812"
        }
    ],
    "summaryStatistics": {
        "avgPreMitigationBps": {
            "value": "3144",
            "details": {}
        },
        "minPreMitigationBps": {
            "value": "1458",
            "details": {}
        },
        "peakPreMitigationBps": {
            "value": "3565",
            "details": {}
        }
    }
}

Get report details

This sample Get a report type operation gets the same information you need to run the dns-analytics-plx-traffic-by-time report as provided in this reference documentation, but available dynamically to your API client application.

GET /reporting-api/v1/reports/dns-analytics-plx-traffic-by-time/versions/2

Status 200 application/json

Response body:

{
    "name": "dns-analytics-plx-traffic-by-time",
    "description": "This report shows data on Prolexic traffic before it reaches Akamai scrubbing center (pre-mitigation) in bps and pps.",
    "businessObjectName": "accountId",
    "version": 2,
    "status": "PUBLISHED",
    "deprecated": false,
    "timeBased": false,
    "supportsPagination": false,
    "outputType": "FLAT",
    "available": true,
    "metrics": [
        {
            "name": "preMitigationBps",
            "description": "Prolexic traffic before it reaches an ​Akamai​ scrubbing center in bits per second (bps).",
            "label": "Pre-Mitigation Traffic (Bytes / Sec)",
            "unit": "COUNT",
            "summaryStatistic": false
        },
        {
            "name": "preMitigationPps",
            "description": "Prolexic traffic before it reaches an ​Akamai​ scrubbing center in packets per second (pps).",
            "label": "Pre-Mitigation Traffic (Packets / Sec)",
            "unit": "COUNT",
            "summaryStatistic": false
        },
        {
            "name": "avgPreMitigationBps",
            "description": "Average traffic before it reaches an Akamai scrubbing center in bps.",
            "label": "Average Pre-Mitigation Traffic (Bytes / Sec)",
            "unit": "COUNT",
            "summaryStatistic": true
        },
        {
            "name": "peakPreMitigationBps",
            "description": "Peak traffic before it reaches an Akamai scrubbing center in bps.",
            "label": "Peak Pre-Mitigation Traffic (Bytes / Sec)",
            "unit": "COUNT",
            "summaryStatistic": true
        },
        {
            "name": "minPreMitigationBps",
            "description": "Minimum traffic before it reaches an Akamai scrubbing center in bps.",
            "label": "Min Pre-Mitigation Traffic (Bytes / Sec)",
            "unit": "COUNT",
            "summaryStatistic": true
        }
    ],
    "groupOutlyingValues": {
        "enabled": false
    },
    "groupBy": [
        "timestamp"
    ],
    "intervals": [
        "FIVE_MINUTES"
    ],
    "dataRetentionDays": 90,
    "links": [
        {
            "rel": "self",
            "href": "/reporting-api/v1/reports/dns-analytics-plx-traffic-by-time/versions/2"
        },
        {
            "rel": "versions",
            "href": "/reporting-api/v1/reports/dns-analytics-plx-traffic-by-time/versions"
        },
        {
            "rel": "all-reports",
            "href": "/reporting-api/v1/reports"
        },
        {
            "rel": "execute-report",
            "href": "/reporting-api/v1/reports/dns-analytics-plx-traffic-by-time/versions/2/report-data"
        }
    ]
}